org.apache.cassandra.sink

## Interface IMessageSink

    public interface IMessageSink

### Method Summary

Methods
`MessageIn` `handleMessage(MessageIn message, int id, java.net.InetAddress to)` Transform or drop an incoming message
`MessageOut` `handleMessage(MessageOut message, int id, java.net.InetAddress to)` Transform or drop an outgoing message

### Method Detail

#### handleMessage

    MessageOut handleMessage(MessageOut message,
                           int id,
                           java.net.InetAddress to)

Transform or drop an outgoing message

Returns:
  null if the message is dropped, or the transformed message to send, which may be just the original message

#### handleMessage

    MessageIn handleMessage(MessageIn message,
                          int id,
                          java.net.InetAddress to)

Transform or drop an incoming message

Returns:
  null if the message is dropped, or the transformed message to receive, which may be just the original message